| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
MasterObject
MasterObject()->Decoder

# Method MasterObject()->Decoder()->decode_object()

Method decode_object

  `array(mixed) decode_object(object o, mixed data)`

Description

  Restore the state of an encoded object.

Parameter `o`

  Object to modify.

Parameter `data`

  State information from Encoder()->encode_object() .

  The default implementation calls `o->_decode(data)` if the object has an `_decode()`, otherwise if data is an array, returns it to indicate that lfun::create() should be called.

Note

  This function is called before lfun::create() in the object has been called, but after lfun::__INIT() has been called.

Returns

  Returns an array to indicate to the caller that lfun::create() should be called with the elements of the array as arguments.

  Returns `0` (zero) to inhibit calling of lfun::create() .

See also

  Encoder()->encode_object()